<?php
include("config.php");
$datos = array();
$hoy = @date('Y-m-d');
$id=$_POST["id"];
$capital=$_POST["capital"];
$interes=$_POST["interes"];
$mora=$_POST["mora"];
$monto=$_POST["monto"];
$primera=$_POST["primera"];
$primera0=$primera + 1;
$seleccionadas = $_POST["seleccionadas"];
$seleccionadas0 = $seleccionadas + 1;
$tasa =  $_POST["tasa"];
$c = 0;
$int = 0;
$m = 0;
$t = 0;

$consulta = mysql_query("SELECT * FROM prestamos WHERE id_prestamo='$id'");
$record = mysql_fetch_array($consulta);
$solo_interes = $record["solo_interes"];
$tipo_prestamo =  $record["tipo_prestamo"];

	$str = "SELECT * FROM cuotas WHERE numero_cuota>='$primera' AND numero_cuota<='$seleccionadas' AND id_prestamo='$id' AND balance>0";
	$sql = mysql_query($str);
	while($r = mysql_fetch_array($sql)){
		$c = $c + $r["capital"];
		$int = $int + $r["interes"];
		$m = $m + $r["mora"];
		$t = $t + $r["balance"];

	}

///FORMULA PARA DIVIDIR EL INTERES Y EL CAPITAL DE UNA CANTIDAD///		
$cadena = $tasa;
$buscar = ".";
$einteres = $tasa;
$encontrada = strpos($cadena, $buscar);

if($encontrada){
	$exp = explode(".",$tasa);
	$einteres = $exp[0].$exp[1];
}

$interes0 = "1.".$einteres;
$x = $interes0;
$sin_interes = $t / $interes0;
$ainteres = $sin_interes * $tasa / 100;
			
$interes = round($ainteres,2); 
$capital = round($sin_interes,2);

if($solo_interes>0){
	$interes = $int;
	$capital = $c;
}


////////////////////////////////////////////////////////





if($tipo_prestamo=="frances" || $tipo_prestamo=="aleman"){
$datos[0] = round($c,2);
$datos[1] = round($int,2);
$datos[2] = round($m,2);
$datos[3] = round($t,2);
}else{
$datos[0] = round($capital,2);
$datos[1] = round($interes ,2);
$datos[2] = round($m,2);
$datos[3] = round($t,2);
    
}

echo json_encode($datos);
?>